Bug 568309 - "perf" is missing dependencies on libdwarf
Summary: "perf" is missing dependencies on libdwarf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-25 11:17 UTC by Tomasz Torcz
Modified: 2010-07-05 15:06 UTC (History)
7 users (show)

Fixed In Version: kernel-2.6.32.10-90.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 02:24:40 UTC


Attachments (Terms of Use)

Description Tomasz Torcz 2010-02-25 11:17:10 UTC
Description of problem:
Trying to run "perf" gives:

# perf bench
/usr/libexec/perf.2.6.33-0.52.rc8.git6.fc13.x86_64: error while loading shared libraries: libdwarf.so.0.0: cannot open shared object file: No such file or directory

After  "yum install /usr/lib64/libdwarf.so.0.0", which install libdwarf, perf works.


Expected results:
perf.rpm should depend on libdwarf

Comment 1 Fedora Update System 2010-03-23 14:56:25 UTC
kernel-2.6.32.10-90.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kernel-2.6.32.10-90.fc12

Comment 2 Fedora Update System 2010-03-24 23:40:33 UTC
kernel-2.6.32.10-90.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.32.10-90.fc12

Comment 3 Fedora Update System 2010-03-30 02:24:01 UTC
kernel-2.6.32.10-90.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Michael Schwendt 2010-07-05 15:06:01 UTC
It would have been nice to follow:
https://fedoraproject.org/wiki/Packaging:Guidelines#Explicit_Requires


Note You need to log in before you can comment on or make changes to this bug.